
public class SandwitchStand {

	private static int totalSandwitchSoldAllStands;
	private int totalSandwitchSoldAtStand;
	private int standID;


	public SandwitchStand(int standID) {

		this.standID = standID;
	}

	public int getStandID() {
		return this.standID;
	}

	public int  getNumSandwitchSoldAtStand() {
		return this.totalSandwitchSoldAtStand;
	}

	public void sellSandwitch(int numberOfSandwiches) throws IllegalArgumentException {

		if (numberOfSandwiches < 0)
			throw new IllegalArgumentException("Eror!");

        this.totalSandwitchSoldAtStand += numberOfSandwiches;
	}


	public static int getNumSandwitchSoldAllStands() {
		return totalSandwitchSoldAllStands;
	}


}
